<template>
    <b-container>
        <b-select :options="statelist" v-model="selectedState" @change.native="getDistricts"
        value-field="StateID"
      text-field="StateName"></b-select>

      <b-select :options="districtList" v-model="selectedDistrict"
        value-field="DistID"
      text-field="DistName"></b-select>
    </b-container>
</template>

<script>
import apis from '@/apis';

export default {
    data(){
        return{
            statelist:[],
            selectedState:"",
            districtList:[],
            selectedDistrict:""
        }
    },
    methods:{
        getDistricts(evt){
            console.log(evt);
            let promise = apis.getDistricts(evt.target.value);

            promise.then(response=>{
            console.log(response);
            if(response.status==200){
                this.districtList= response.data;
            }
        }).catch(err=>{
            alert("ERROR");
        })
        }
    },
    mounted(){
        let promise = apis.getStates();

        promise.then(response=>{
            console.log(response);
            if(response.status==200){
                this.statelist= response.data;
            }
        }).catch(err=>{
            alert("ERROR");
        })
    }
}
</script>

<style>

</style>
